 # GNU C 2.7.2.1
 # -O2 -fdefer-pop -fomit-frame-pointer -fcse-follow-jumps -fcse-skip-blocks
 # -fexpensive-optimizations -fthread-jumps -fstrength-reduce -fpeephole
 # -fforce-mem -ffunction-cse -finline -fcaller-saves -fpcc-struct-return
 # -frerun-cse-after-loop -fschedule-insns -fschedule-insns2 -fcommon
 # -fgnu-linker -mpowerpc -mnew-mnemonics

	.file	"callosasync.c"
gcc2_compiled.:
.section	.rodata
	.align 2
.LC0:
	.string	"con:0/0/640/200/CallOSASync/CLOSE/AUTO/WAIT"
	.align 2
.LC1:
	.string	"dos.library"
	.align 2
.LC2:
	.string	"Asynchron String %ld\n"
	.section	".text"
	.align 2
	.globl Function
	.type	 Function,@function
	.long 0x409c
Function:
	stwu 1,-160(1)
	mflr 0
	stw 23,124(1)
	stw 24,128(1)
	stw 25,132(1)
	stw 26,136(1)
	stw 27,140(1)
	stw 28,144(1)
	stw 29,148(1)
	stw 30,152(1)
	stw 31,156(1)
	stw 0,164(1)
	addis 3,0,.LC0@ha
	addi 3,3,.LC0@l
	li 4,1006
	bl PPCOpen
	mr. 27,3
	bc 12,2,.L2
	li 3,88
	lis 4,0x1
	ori 4,4,1
	bl PPCAllocVec
	mr. 31,3
	bc 12,2,.L3
	addi 3,1,8
	addis 9,0,.LC1@ha
	addi 9,9,.LC1@l
	stw 9,72(1)
	li 0,0
	stw 0,36(1)
	li 0,1
	stw 0,12(1)
	stw 0,24(1)
	li 9,4
	li 0,-552
	lwz 9,0(9)
	stw 0,8(1)
	stw 9,92(1)
	bl PPCCallOS
	cmpwi 1,3,0
	mr 26,3
	bc 12,6,.L6
	li 29,0
	addis 23,0,.LC2@ha
	li 24,-48
	lis 28,0x1
	ori 28,28,1
	li 25,1
	addis 9,0,Buffer@ha
	addi 30,9,Buffer@l
.L10:
	stw 29,104(1)
	addi 3,23,.LC2@l
	addi 4,1,104
	li 5,0
	mr 6,30
	bl PPCRawDoFmt
	stw 24,0(31)
	stw 27,32(31)
	stw 30,36(31)
	mr 3,30
	bl strlen
	stw 3,40(31)
	stw 26,84(31)
	stw 28,4(31)
	stw 25,16(31)
	mr 3,31
	bl PPCCallOS
	addi 29,29,1
	cmplwi 1,29,9
	addi 30,30,256
	bc 4,5,.L10
.L6:
	mr 3,31
	bl PPCFreeVec
.L3:
	mr 3,27
	bl PPCClose
	li 3,1
	b .L12
.L2:
	li 3,0
.L12:
	lwz 0,164(1)
	mtlr 0
	lwz 23,124(1)
	lwz 24,128(1)
	lwz 25,132(1)
	lwz 26,136(1)
	lwz 27,140(1)
	lwz 28,144(1)
	lwz 29,148(1)
	lwz 30,152(1)
	lwz 31,156(1)
	addi 1,1,160
	blr
.Lfe1:
	.size	 Function,.Lfe1-Function
	.comm	Buffer,2560,1
	.ident	"GCC: (GNU) 2.7.2.1"
